.ds FAM N
.nr PI 1m
.\" 会計の負記号（黒三角）
.ds TR \\f(ZD\\N'115'\\fP
.DA
.TL
製品動作確認会	予稿
.AU
\fRB\-3	自動走行プラットフォーム\fP \fIKohga\fP \fRの開発\fP
.2C
.NH 1
開発の背景
.PP
車両を自動的に、あるいは、自律的に制御する技術は
さまざまな分野に応用されている。
その例は、自動車や大型トラックの自動運転・自動追尾、
運搬作業の無人化に留まらず、
農作業の自動化や負担軽減を図る「ロボットファーミング」や
「スマート農業」にも見ることができる。
加えて、日本の内閣府が示している Society 5.0 では、
情報社会（Society 4.0）をより発展させたロボットや自動走行車の活用によ り、
少子高齢化、地方の過疎化、貧富の格差などの問題を克服する
未来社会の展望を描いている。
.PP
本グループは、将来の技術発展の礎となる
衛星航法技術を利用した自動走行制御システムに焦点を当て、
屋外での利用を想定した小型車両の開発を行う。\h'-.5n'
2021\ 年後期には準天頂衛星システムの初号機
「みちびき」の後継機が打ち上げられ、
さらに 2023\ 年度を目処に 7\ 機体制で運用されるなど、
ますます安定した高精度の衛星航法システムの利用が可能となる。
.PP
これまで、本大学校の開発課題実習として
自動走行や自律制御に取り組んだものもあった が、
実用に繋がるような成果を出せていない。
「みちびき」をはじめとする航法衛星の整備が進んだことや
今後の応用技術の進展に伴い、
このような基礎技術の重要性はますます高まっていくと考えられる。
.NH 1
開発の目的・目標
.PP
本グループは、衛星航法システムを利用した自動走行車両及び
それを制御・管理するためのクラウドシステムを開発する。
.PP
この開発を通して、衛星航法システムを利用した自動走行車両の開発における
難所や課題 点、及びそれらを解決する手法を明らかにす る。
また、次年度以降に本大学校で行われる開発課題実習やその他製作課題実習において、
同様の衛星航法技術や自動走行技術、自律制御技術を利用した開発を行う際に
活用できる技術と知見の基盤をつくることを開発目的とする。
.PP
また、成果物の開発目標として、
大学校内に設定された地点を経由する経路を自動的に計画し、
その経路上にて遭遇する障害物に衝突することなく自動走行で運行できること、
及び同様に計画された周回経路を周回できることを掲げる。
.NH 1
成果物のコンセプトと構成
.PP
成果物のコンセプトとして、
次年度以降の後輩が同様のテーマに取り組む際の一助となること、
本大学校の自動走行技術や自律制御技術の発展に寄与するものとなることを掲げる。
そのため、成果物の各機能をモジュール化し、
モジュール間の独立性やモジュール自体の拡張性を高めている。
.PP
成果物の構成について、Figure 1 に示す。
今回開発する自動走行プラットフォーム \fIKohga\fP は
車両システム \fINinJa\fP と
車両管理・制御システム \fIManki\fP に大分され、\h'-.5n'
\fINinJa\fP は車両本体と走行システム \fIJeedo\fP からなる。\h'-.5n'
\fINinJa\fP を車両本体と \fIJeedo\fP にモジュール分離しておくことで、
将来的にさまざまな車両を \fIManki\fP で管理・制御可能になり、\h'-.5n'
\fIKohga\fP を状況や環境に合わせて応用できるようになると考えられる。
.PP
\fINinJa\fP は \fIJeedo\fP と連携することで自動走行する三輪の小型車両である。
.PP
\fIJeedo\fP は \fINinJa\fP を制御する走行システムである。
各種センサ類からの情報や \fIManki\fP との通信内容をもとに
車両の制御量を計算し、アクチュエータに制御信号を送信したり
\fIManki\fP に車両の状況を報告したりする。
.PP
\fIManki\fP は \fIJeedo\fP と連携して
\fINinJa\fP を制御\h'-.25n'・\h'-.25n'管理するシステムである。
システム利用者からの入力（目的地点、新しい経路、車両の利用手続きなど）を
ウェブブラウザから受信し、処理した上で \fIJeedo\fP に伝送する。
また、\fIJeedo\fP から報告される車両の状況をシステム利用者に通知する。
さらに、\fINinJa\fP が通行可能な範囲を管理し、\h'-.5n'
\fINinJa\fP が正常に運行していることを常時監視する。
.PS
boxht	= .4;
moveht	= .3;
down;
KOHGA: box width 2 "\[u81EA]\[u52D5]\[u8D70]\[u884C]\[u30D7]\[u30E9]\[u30C3]\[u30C8]\[u30D5]\[u30A9]\[u30FC]\[u30E0]" "\fIKohga\fP";
move;
MID: [ right;
NINJA: box width 1 "\[u8ECA]\[u4E21]\[u30B7]\[u30B9]\[u30C6]\[u30E0]" "\fINinJa\fP";
move .3;
MANKI: box width 1.5 "\[u5236]\[u5FA1]\[u30FB]\[u7BA1]\[u7406]\[u30B7]\[u30B9]\[u30C6]\[u30E0]" "\fIManki\fP"
];
move;
BTM: [ right;
JEEDO: box width 1 "\[u8D70]\[u884C]\[u30B7]\[u30B9]\[u30C6]\[u30E0]" "\fIJeedo\fP"
move .3;
CBODY: box width 1 "\[u8ECA]\[u4E21]\[u672C]\[u4F53]";
move .5;
];
line from KOHGA.s to MID.NINJA.n;
line from KOHGA.s to MID.MANKI.n;
line from MID.NINJA.s to BTM.JEEDO.n;
line from MID.NINJA.s to BTM.CBODY.n;
.PE
.ce
\fBFigure 1\fP: 成果物の構成
.NH 1
作業進捗状況
.PP
ここでは、現時点の作業進捗状況について、\h'-1n'
成果物の各部分や各機能ごとに述べる。
.NH 2
車体の設計及び製作（機械）
.PP
結合デモ会時点で設計の完了していた車体を実際に組み立て、
駆動系と結合した上で試験走行を行った。
その結果、3D CAD ソフトウェア上のシミュレーションでは発見に
至らなかった設計上の問題が多数浮上した。
.PP
まず、車両が停止しようとする際に左に旋回しようとする挙動が認められた。
前輪に取り付けられている無励磁作動ブレーキの質量が大きく、
前輪の左右に働く運動エネルギ（慣性）の均衡が崩れることが原因であった
\h'-1.3n'（Figure 2）\h'-1.1n'。\h'-.5n'
対策として、ブレーキに対するカウンタウェイトを前輪に取り付けた。
これによって車輪の左右に働く慣性が釣り合い、
車両が停止しようとする際にも直進性を確保できるようになった。
.PP
また、前輪に取り付けられている無励磁作動ブレーキによって制動する際に
前輪を固定しているフレームに想定以上に大きな負荷が掛か り、
条件によっては安定した剛性を発揮できないことが判った。
対策として、該当箇所を金属プレートで補強し、
さらに前輪のキングピン軸の寸法拡大、軸受の拡大を行った。
.PP
さらに、操舵に関する部分にも問題を発見した。
本車両の操舵は後輪二輪の回転比を調整することによって行われるが、
前輪のキングピン軸がそれに反応して回転しないことが判った。
これには、前輪と走行床面との間に摩擦力が充分に働いていないことも考えられたが、
前輪のトレール距離を大きくすることでより安定した操舵の確保を図った
（Figure 3）\h'-1n'。
.PS
	right;
TIRE:	box width .35 height .9 rad .1 fill;
GUARD:	box at TIRE.c width .4 height .7 fill 0;
BRAKE:	box width .2 height .5 fill;
AXIS:	circle at TIRE.c + (.0,.25) diameter .1 fill;
	arc from AXIS.c + (.5,.0) to AXIS.c + (.0,.5) radius .5 dashed ->;
	"\[u5DE6]\[u306B]\[u65CB]\[u56DE] " rjust;
	up; arrow from BRAKE.c;
	right; line from BRAKE.s + (.0,.1) to BRAKE.se + (.4,.2);
	" \[u30D6]\[u30EC]\[u30FC]\[u30AD]" ljust;
	right; line from TIRE.s + (.0,.05) right then to TIRE.se + (.6,.1);
	" \[u524D]\[u8F2A]\[u672C]\[u4F53]" ljust;
.PE
.ce
\fBFigure 2\fP: 無励磁作動ブレーキによる慣性
.sp .5
.PS
TIRE:	circle diameter 1 fill;
GUARD:	box at TIRE.c + (.0,.1) width .7 height .8 fill 0;
CENTER:	circle at TIRE.c diameter .1;
AXIS:	box at GUARD.n + (-.25,.1) width .1 height .2 fill;
BASE:	line from TIRE.s - (.7,.0) to TIRE.s + (.7,.0);
	down;
L1:	line from AXIS.n + (.0,.1) 1.4 dashed;
L2:	line from CENTER.c + (.0,.1) .7 dashed;
TRAIL:	line from L1.end to L2.end <->;
	line from TRAIL.center to TRAIL.center + (.1,-.1) then right;
	" \[u30C8]\[u30EC]\[u30FC]\[u30EB]" ljust;
.PE
.ce
\fBFigure 3\fP: トレール距離
.NH 2
各種回路基板の設計及び製作（電気）
.PP
結合デモ会時点では正常に動作しなかったドライブ回路について
問題の原因を調査し、修正した。
また、利用するプリント基板を
紙フェノール製のものからガラスエポキシ製のものに置き換えることで、
基板そのものの耐久性や信頼性を向上している。
.NH 2
車両駆動系-制御系間通信（電気-情報）
.PP
結合デモ会の時点での通信方式に問題があることが判った。
この通信方式において、駆動系から送信されるデータは単なるタイミング信号であり、
有意な情報を制御系に送信することができず、
また、制御系のプログラムが暴走した際に、駆動系はそれを検出する方法がなかっ た。
これを解決するために、制御信号を送信する主導権を制御系に置き、
駆動系は命令信号に対する応答信号を送信する方式に置き換えた。
また、制御系が一定時間以上命令を送信しない場合、
駆動系はこれを検出して車両を安全に停止できるような処理を実装した。
.NH 2
自動走行制御システム（情報）
.PP
自動走行制御に関する部分はコア部分が概ね完成し、
試験車両を用いた試験走行では途中に補助を受けながらも
大学校内を一周できることを確認した。
今後は、センサのパラメータ調整や
制御・管理システムと通信する部分などの実装を進める。
.NH 2
制御・管理システム（情報）
.PP
結合デモ会の時点でシステム設計の大部分を完了しており、
基本的な機能を提供することができていた。
しかし、内部処理において致命的なデータの不整合を発生し得ることが判った。
これを改善するためにシステムを再設計し、
不整合の生じないような処理に置き換えた。
さらに、画面表示に関わる部分も同様に再設計を行い、
実装上の問題を軽減した。
.NH 1
今後の予定
.PP
2\ 月 3\ 日の開発課題発表会に向けて、\h'-.5n'
1\ 月 20\ 日に成果物全体の結合を行い、評価を行う予定である。
同時に、開発過程などについてまとめた文書を作成する。
詳細な日程については別添のガントチャートを参照されたい。
.NH 1
予算執行状況
.PP
予算執行状況は Table 1 の通りである。
.sp .5
.ce
\fBTable 1\fP: 予算執行状況表
.TS
center;
CfB | cfB cfB cfB
CfB | n n n.
 科	 計画額 	 執行額 	 差額
_
 機械	200\ 000	351\ 556	\*(TR151\ 556
 電気	300\ 000	211\ 285	88\ 715
 情報	300\ 000	234\ 444	65\ 556
_
 全体	800\ 000	797\ 285	2\ 715
.TE
